# ConversationMessagesList

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Results** | Pointer to [**[]ConversationMessage**](ConversationMessage.md) |  | [optional] 

## Methods

### NewConversationMessagesList

`func NewConversationMessagesList() *ConversationMessagesList`

NewConversationMessagesList instantiates a new ConversationMessagesList object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewConversationMessagesListWithDefaults

`func NewConversationMessagesListWithDefaults() *ConversationMessagesList`

NewConversationMessagesListWithDefaults instantiates a new ConversationMessagesList object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetResults

`func (o *ConversationMessagesList) GetResults() []ConversationMessage`

GetResults returns the Results field if non-nil, zero value otherwise.

### GetResultsOk

`func (o *ConversationMessagesList) GetResultsOk() (*[]ConversationMessage, bool)`

GetResultsOk returns a tuple with the Results field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetResults

`func (o *ConversationMessagesList) SetResults(v []ConversationMessage)`

SetResults sets Results field to given value.

### HasResults

`func (o *ConversationMessagesList) HasResults() bool`

HasResults returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


